package com.mobvista;

import com.mobvista.apptag.utils.MD5Util;

public class MD5Test {
    public static void main(String[] args) throws Exception {

        String password = "123456";
        String str = "PIXEL'S UNKNOWN BATTLE GROUND,언노운 픽셀 배틀건즈,未知的像素槍戰,未知的像素枪战";

        String device = "'91c70541-1d09-4ee9-8b4d-59e24d626c33','e1ef6f8a-7ea6-4d64-9e55-1cb4ef3eed2b','8e21395e-600a-4e49-9211-b96a78c8f3bc'";
        //  System.out.println(str.replaceAll("\'","\\'"));
        System.out.println(device.toUpperCase());
        //  System.out.println(MD5Util.getMD5Str(password));
        /*
        Date date = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
        Date dt = sdf.parse(sdf.format(date));
        Calendar rightNow = Calendar.getInstance();
        rightNow.setTime(dt);
        rightNow.add(Calendar.MONTH, 1);
        //  rightNow.add(Calendar.DAY_OF_YEAR, 10);//日期加10天

        System.out.println(rightNow.getTime().getTime() / 1000);

         */
        /*
        Pattern iosPkgPtn = Pattern.compile("^\\d+$");
        Pattern adrPkgPtn = Pattern.compile("^[0-9a-zA-Z\\.]+$");

        System.out.println(iosPkgPtn.matcher("wxb740286dc4f9504e").matches());
        System.out.println("wxb740286dc4f9504e".matches("^id\\d+$"));
         */
    }
}